KPAT
6
January 24, 2002
kde-games
KDE User's Manual

# &kpat;

A highly addictive &kde; card game.

    kpat
    Qt-option
    KDE-option

## Beschreibung

&kpat; besteht aus einer Zusammenstellung von 13 verschiedenen Patience-Spielarten, unter anderem die bekannten Klondike und Freecell sowie die weniger bekannten Großvaters Uhr und Mod3.

## Optionen

Das Programm folgt den GNU-Konventionen für Befehlszeilenoptionen, lange Optionen beginnen dabei mit zwei Bindestrichen (`--'). Eine Zusammenstellung der von `kpat` unterstützten Optionen befindet sich weiter unten.

### Allgemeine Optionen

`--author`

  Zeigt Informationen über den Autor

--help

  Zeigt eine Hilfe zu den Optionen

`--help-qt`

  Zeigt die Qt-spezifischen Optionen

`--help-kde`

  Zeigt die &kde;-spezifischen Optionen

`--help-all`

  Zeigt alle Optionen

`--license`

  Zeigt Lizenzinformationen

`-v`, `--version`

  Zeigt Versionsinformationen an und beendet sich danach wieder.

### Qt-Optionen

`--display Anzeigename`

  Verwendet die X-Server-Anzeige Anzeigename.

`--session Sitzungs-Id`

  Stellt den Zustand der Anwendung für die genannte Sitzungs-Id wieder her.

`--cmap`

  Veranlasst die Anwendung ein eigenes Farbschema auf einer 8-Bit-Anzeige darzustellen.

`--ncols Anzahl`

  Begrenzt die Anzahl der erzeugten Farben des Farbwürfels bei einer 8-Bit-Anzeige, falls die Anwendung die Farbspezifikation `QApplication::ManyColor` verwendet.

`--nograb`

  verhindet, dass Qt die Maus oder die Tastatur bindet.

`--dograb`

  Der Einsatz eines Debuggers kann implizit die Option `-nograb` aktivieren, die Option `-dograb` dient zur Übersteuerung.

`--sync`

  Schaltet zum Debuggen in den synchronen Modus um.

`--fn`, `--font Zeichensatz`

  Legt den Anwendungszeichensatz fest.

`--bg`, `--background Farbe`

  Legt die Standard-Hintergrundfarbe und die Farbpalette (helle und dunkle Schatten werden berechnet) fest.

`--fg`,`--foreground Farbe`

  Legt die Standardvordergrundfarbe fest.

`--btn`, `--button Farbe`

  Legt die Standard-Knopf-Farbe fest.

`--name Name`

  Legt den Namen der Anwendung fest.

`--title Titel`

  Legt den Titel der Anwendung fest (Fenstertitel).

`--visual TrueColor`

  Schaltet die Anwendung auf einer 8-Bit-Anzeige um auf eine TrueColor-Anzeige.

`--inputstyle`

  Legt den XIM (X Input Method) fest. Mögliche Werte sind onthespot, overthespot, offthespot und root.

`--im XIM-Server`

  Legt den XIM-Server fest.

`--noxim`

  XIM deaktivieren.

### KDE-Optionen

`--caption Überschrift`

  Verwendet Überschrift als Name in der Titelzeile.

`--icon Symbol`

  Verwendet Symbol als Anwendungssymbol.

`--miniicon Symbol`

  Verwendet Symbol als Symbol in der Titelzeile.

`--dcopserver Server`

  Verwendet den unter Server angegebenen DCOP-Server.

`--nocrashhandler`

  Absturzprogramm deaktivieren, zur Erzeugung von "core dumps".

`--waitforwm`

  Wartet auf einen WM_NET-kompatiblen Fenstermanager.

`--style Stil`

  Legt den &GUI;-Stil der Anwendung fest.

`--geometry Größe`

  Legt die Größe des Hauptfensters fest.

## Siehe auch

&kpat; wird detailiert beschrieben im &kpat;-Handbuch (unter <filename$<envar >KDEDIRshare/doc/HTML/de/kpat/index.html oder durch Eingabe von `help://kpat/index.html` in &konqueror;).

&kde-http;

## Autor

&kpat; stammt von:

- Paul Olav Tvete
- Mario Weilguni mweilguni@kde.org
- Matthias Ettrich ettrich@kde.org
- Rodolfo Borges barrett@labma.ufrj.br
- Peter H. Ruegg kpat@incense.org
- Michael Koch koch@kde.org
- Marcus Meissner mm@caldera.de
- Shlomi Fish shlomif@vipe.technion.ac.il
- Stephan Kulow coolo@kde.org